### Signal

# Adw Carousel::page-changed

#### Declaration

    void
    page_changed (
      AdwCarousel* self,
      guint index,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after a page has been changed.

It can be used to implement “infinite scrolling” by amending the pages after every scroll.

Note

An empty carousel is indicated by `(int)index == -1`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`index`

  Type: `guint`

  Current page.